"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dryMode = dryMode;

function dryMode({
  events,
  store
}) {
  if (!store.get("argv.dry")) {
    return;
  }

  events.onAny("before.fs", async ({
    event,
    pathExists
  }) => {
    if (!pathExists) {
      event.signal.cancel = true;
    }
  });
}
//# sourceMappingURL=dry.js.map